Bug 964348 - All V2 carts which don't lock env/* should list env vars to lock explicitly
All V2 carts which don't lock env/* should list env vars to lock explicitly
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 21:07 EDT by Dan McPherson
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:06:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-05-17 21:07:58 EDT
Any of the carts that don't specify env/* for locked files need to list all their env vars that should be locked in locked_files 1 by 1.  Mostly these are framework carts that need to leave certain env vars user editable (PATH_ELEMENT for example).
Comment 1 Paul Morie 2013-05-20 14:05:43 EDT
PRs submitted.
Comment 3 Paul Morie 2013-05-20 17:14:31 EDT
QE-

JBoss, Ruby, and Python apps should all have certain variables which are unlocked in their respective framework cart envs (viz, _PATH_ELEMENT).  No cartridge which uses the *_PATH_ELEMENT variable should have it locked after install - these are intended to be user-writable.  Similarly, MANPATH, PYTHON_EGG_CACHE should be writable.
Comment 4 Meng Bo 2013-05-21 06:00:23 EDT
Checked on devenv_3253,

For Ruby,
Only OPENSHIFT_RUBY_DIR and OPENSHIFT_RUBY_LOG_DIR cannot be edited. 
[ruby-3253.dev.rhcloud.com env]\> ls -l
total 28
-rw-r--r--. 1 6da3a8e0c1f611e2bfe912313d2f4aa1 6da3a8e0c1f611e2bfe912313d2f4aa1  93 May 21 05:11 LD_LIBRARY_PATH
-rw-r--r--. 1 6da3a8e0c1f611e2bfe912313d2f4aa1 6da3a8e0c1f611e2bfe912313d2f4aa1 105 May 21 05:11 MANPATH
-rw-r--r--. 1 root                             6da3a8e0c1f611e2bfe912313d2f4aa1  57 May 21 05:11 OPENSHIFT_RUBY_DIR
-rw-r--r--. 1 6da3a8e0c1f611e2bfe912313d2f4aa1 6da3a8e0c1f611e2bfe912313d2f4aa1  21 May 21 05:11 OPENSHIFT_RUBY_IDENT
-rw-r--r--. 1 root                             6da3a8e0c1f611e2bfe912313d2f4aa1  64 May 21 05:11 OPENSHIFT_RUBY_LOG_DIR
-rw-r--r--. 1 6da3a8e0c1f611e2bfe912313d2f4aa1 6da3a8e0c1f611e2bfe912313d2f4aa1  29 May 21 05:11 OPENSHIFT_RUBY_PATH_ELEMENT
-rw-r--r--. 1 6da3a8e0c1f611e2bfe912313d2f4aa1 6da3a8e0c1f611e2bfe912313d2f4aa1   4 May 21 05:11 OPENSHIFT_RUBY_VERSION

For python,
Only OPENSHIFT_PYTHON_DIR and OPENSHIFT_PYTHON_LOG_DIR cannot be edited.
[python-3253.dev.rhcloud.com env]\> ls -l
total 24
-rw-r--r--. 1 root                             892e721ac1f711e284c112313d2f4aa1 59 May 21 05:19 OPENSHIFT_PYTHON_DIR
-rw-r--r--. 1 892e721ac1f711e284c112313d2f4aa1 892e721ac1f711e284c112313d2f4aa1 23 May 21 05:19 OPENSHIFT_PYTHON_IDENT
-rw-r--r--. 1 root                             892e721ac1f711e284c112313d2f4aa1 66 May 21 05:19 OPENSHIFT_PYTHON_LOG_DIR
-rw-r--r--. 1 892e721ac1f711e284c112313d2f4aa1 892e721ac1f711e284c112313d2f4aa1 64 May 21 05:19 OPENSHIFT_PYTHON_PATH_ELEMENT
-rw-r--r--. 1 892e721ac1f711e284c112313d2f4aa1 892e721ac1f711e284c112313d2f4aa1  4 May 21 05:19 OPENSHIFT_PYTHON_VERSION
-rw-r--r--. 1 892e721ac1f711e284c112313d2f4aa1 892e721ac1f711e284c112313d2f4aa1 74 May 21 05:19 PYTHON_EGG_CACHE

For jboss,
[jbossas-3253.dev.rhcloud.com env]\> ls -l
total 36
-rwxr-xr-x. 1 25423768c1f811e2bfe912313d2f4aa1 25423768c1f811e2bfe912313d2f4aa1 33 May 21 05:24 JAVA_HOME
-rwxr-xr-x. 1 root                             25423768c1f811e2bfe912313d2f4aa1 28 May 21 02:05 M2_HOME
-rwxr-xr-x. 1 25423768c1f811e2bfe912313d2f4aa1 25423768c1f811e2bfe912313d2f4aa1  0 May 21 02:05 OPENSHIFT_JBOSSAS_CLUSTER
-rwxr-xr-x. 1 25423768c1f811e2bfe912313d2f4aa1 25423768c1f811e2bfe912313d2f4aa1  0 May 21 02:05 OPENSHIFT_JBOSSAS_CLUSTER_REMOTING
-rw-r--r--. 1 root                             25423768c1f811e2bfe912313d2f4aa1 60 May 21 05:23 OPENSHIFT_JBOSSAS_DIR
-rw-r--r--. 1 25423768c1f811e2bfe912313d2f4aa1 25423768c1f811e2bfe912313d2f4aa1 22 May 21 05:23 OPENSHIFT_JBOSSAS_IDENT
-rwxr-xr-x. 1 root                             25423768c1f811e2bfe912313d2f4aa1 33 May 21 02:05 OPENSHIFT_JBOSSAS_JDK6
-rwxr-xr-x. 1 root                             25423768c1f811e2bfe912313d2f4aa1 33 May 21 02:05 OPENSHIFT_JBOSSAS_JDK7
-rw-r--r--. 1 root                             25423768c1f811e2bfe912313d2f4aa1 66 May 21 05:24 OPENSHIFT_JBOSSAS_LOG_DIR
-rw-r--r--. 1 25423768c1f811e2bfe912313d2f4aa1 25423768c1f811e2bfe912313d2f4aa1 69 May 21 05:24 OPENSHIFT_JBOSSAS_PATH_ELEMENT
-rw-r--r--. 1 root                             25423768c1f811e2bfe912313d2f4aa1  2 May 21 05:24 OPENSHIFT_JBOSSAS_VERSION


For other types, all the vars cannot be editable.
[php1-3253.dev.rhcloud.com env]\> ls -l
total 20
-rw-r--r--. 1 root 519b3e8228cd2a0a76000005 48 May 21 05:29 OPENSHIFT_PHP_DIR
-rw-r--r--. 1 root 519b3e8228cd2a0a76000005 20 May 21 05:29 OPENSHIFT_PHP_IDENT
-rw-r--r--. 1 root 519b3e8228cd2a0a76000005 55 May 21 05:29 OPENSHIFT_PHP_LOG_DIR
-rw-r--r--. 1 root 519b3e8228cd2a0a76000005  4 May 21 05:30 OPENSHIFT_PHP_VERSION
-rw-r--r--. 1 root 519b3e8228cd2a0a76000005 75 May 21 05:30 PHPRC

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.